## gimpdatafiles

gimpdatafiles —

## Synopsis

    struct      GimpDatafileData;
    gboolean    gimp_datafiles_check_extension  (const gchar *filename,
                                                 const gchar *extension);
    void        gimp_datafiles_read_directories (const gchar *path_str,
                                                 GFileTest flags,
                                                 GimpDatafileLoaderFunc loader_func,
                                                 gpointer user_data);

## Description

## Details

### struct GimpDatafileData

    struct GimpDatafileData {

      const gchar *filename;
      const gchar *basename;

      time_t       atime;
      time_t       mtime;
      time_t       ctime;
    };

### gimp_datafiles_check_extension ()

    gboolean    gimp_datafiles_check_extension  (const gchar *filename,
                                                 const gchar *extension);

`filename` : |
`extension` : |
Returns : |

### gimp_datafiles_read_directories ()

    void        gimp_datafiles_read_directories (const gchar *path_str,
                                                 GFileTest flags,
                                                 GimpDatafileLoaderFunc loader_func,
                                                 gpointer user_data);

`path_str` : |
`flags` : |
`loader_func` : |
`user_data` : |